/*
m_sb_delete - delete a samplebank

DESCRIPTION
Free all stored tables (delete the samples) of a samplebank. This will
take effect at the end of the currently held note.

SYNTAX
m_sb_delete Sname

INITIALIZATION
Sname - Name of the samplebank

PERFORMANCE

CREDITS
Author: Jeanette C.
*/

opcode m_sb_delete, 0, S
	Sname xin

	; Set up basic channel name
	SchannelName strcat "m_sb.", Sname

	; Only perform if this samplebank is valid
	if chnget(strcat(SchannelName,".Valid")) == 1 then
		iSize chnget strcat(SchannelName, ".Size")
		iStart chnget strcat(SchannelName, ".Start")
		iIndex init 0
		while iIndex < iSize do
			ftfree (iStart + iIndex), 1
			iIndex += 1
		od

		ftfree chnget(strcat(SchannelName, ".Samplerates")), 1
		ftfree chnget(strcat(SchannelName, ".Channels")), 1

		; Make the bank invalid and set a few other harmless values
		chnset 0, strcat(SchannelName, ".Valid")
		chnset -1, strcat(SchannelName, ".Start")
		chnset 0, strcat(SchannelName, ".Size")
		chnset -1, strcat(SchannelName, ".Samplerates")
		chnset -1, strcat(SchannelName, ".Channels")
		chnset -1, strcat(SchannelName, ".CurGroup")
	endif

endop
