/*
m_sb_get_groups - return the current number of groups in a samplebank

DESCRIPTION
Return the number of groups currently set in the samplebank. This group
division will be used for round robin playback. The full bank is divided into
number-of-groups blocks.

SYNTAX
igroups m_sb_get_groups Sname

INITIALIZATION
igroups - The number of groups in the bank or -1 if the bank is invalid
Sname - Name of the samplebank, as given to m_sb_new

PERFORMANCE

CREDITS
Author: Jeanette C.
*/

opcode m_sb_get_groups, i, S
	Sname xin

	; Set up the basic channel name
	SchannelName strcat "m_sb.", Sname

	; Initialise kgroups
	kGroups init 0

	if chnget(strcat(SchannelName, ".Valid")) == 1 then
		iGroups chnget strcat(SchannelName, ".Groups")
	else
		iGroups = -1
	endif

	xout iGroups
endop
