/*
m_sb_get_size - get the size (number of samples) in a samplebank

DESCRIPTION
Get the size of a samplebank, i.e. the number of samples loaded into it.

SYNTAX
isize m_sb_get_size Sname

INITIALIZATION
isize - The size of the bank or 0 if the bank is invalid
Sname - Name of the samplebank, as given to m_sb_new

PERFORMANCE

CREDITS
Author: Jeanette C.
*/

opcode m_sb_get_size, i, S
	Sname xin

	; Set up the basic channel name
	SchannelName strcat "m_sb.", Sname
	if chnget(strcat(SchannelName, ".Valid")) == 1 then
		iSize chnget strcat(SchannelName, ".Size")
	else ; this bank is invalid
		iSize = 0
	endif

	xout iSize
endop
