/*
m_sb_get_start - return the first allocated table number

DESCRIPTION
Return the first allocated ftable number for this samplebank or -1 if the
bank does not exist or is invalid.

SYNTAX
istart m_sb_get_start Sname

INITIALIZATION
istart - the first allocated table number for this samplebank, -1 if
	the bank does not exist or is invalid
Sname - Name of the samplebank, as given to m_sb_new

PERFORMANCE

CREDITS
Author: Jeanette C.
*/

opcode m_sb_get_start, i, S
	Sname xin

	; Set up the basic channel name
	SchannelName strcat "m_sb.", Sname

	if chnget(strcat(SchannelName, ".Valid")) == 1 then
		iStart chnget strcat(SchannelName, ".Start")
	else
		iStart = -1
	endif

	xout iStart
endop
