/*
m_sb_set_groups - Set the number of groups of a samplebank

DESCRIPTION
Set the number of groups of a samplebank. This will be used for round robin
playback. If the number of groups is greater than half the samplebank size
groups will be set to size/2.

SYNTAX
m_sb_set_groups Sname, iGroups

INITIALIZATION
Sname - Name of the sample bank, as given to m_sb_new
igroups - Number of groups to be set

PERFORMANCE

CREDITS
Author: Jeanette C.
*/

opcode m_sb_set_groups, 0, Si
	Sname, iGroups xin

	; Set up the basic channl name
	SchannelName strcat "m_sb.", Sname
	iGroups = int(iGroups)

	if chnget(strcat(SchannelName, ".Valid")) == 1 then
		if iGroups > chnget(strcat(SchannelName, ".Size")) then
			chnset chnget(strcat(SchannelName, ".Size")) / 2, strcat(SchannelName, ".Groups")
		else
			chnset iGroups, strcat(SchannelName, ".Groups")
		endif
	endif
endop
